Ask Your Question
0

installing package with period

asked 2014-05-12 12:49:37 -0600

kdoswald gravatar image

updated 2015-04-04 16:55:02 -0600

I have run into a issue with installing a package in my puppet module.

Required = web.services for example does not seem to work, but other packages without the "." does work. Is their anyone workaround/fix for this?

edit retag flag offensive close merge delete

Comments

2

can you give us a little more information , like some code or system that you are running.

Renan Vicente gravatar imageRenan Vicente ( 2014-05-12 13:04:32 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2015-04-03 18:39:40 -0600

updated 2015-04-04 09:06:51 -0600

Ensure your resource declaration looks like this:

package { 'my_nice_web_package_resource':
  name   => 'webservice-1.4.8',
  ensure => present,
}

The package name should stay in a single-quoted string.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-05-12 12:49:37 -0600

Seen: 108 times

Last updated: Apr 04 '15